Functions | Variables

# tunnelbridge.h File Reference

Header file for things common for tunnels and bridges. More...

`#include "map_func.h"`

Go to the source code of this file.

## Functions
static uint | GetTunnelBridgeLength (TileIndex begin, TileIndex end)
| Calculates the length of a tunnel or a bridge (without end tiles).
## Variables
TileIndex | _build_tunnel_endtile
| The end of a tunnel; as hidden return from the tunnel build command for GUI purposes.

## Detailed Description

Header file for things common for tunnels and bridges.

Definition in file tunnelbridge.h.

## Function Documentation

static uint GetTunnelBridgeLength | ( | TileIndex | begin,
|  | TileIndex | end |
| ) |  |  | `[inline, static]`

Calculates the length of a tunnel or a bridge (without end tiles).

Parameters:

  | begin | The begin of the tunnel or bridge.
  | end | The end of the tunnel or bridge.

Returns:
  length of bridge/tunnel middle

Definition at line 23 of file tunnelbridge.h.

References abs(), TileX(), and TileY().

Referenced by AfterLoadCompanyStats(), CmdBuildBridge(), CmdBuildRoad(), CmdConvertRail(), DoClearBridge(), DoClearTunnel(), DrawBridgeMiddle(), DrawCatenaryOnBridge(), GetRailTrackBitsUniversal(), RemoveRoad(), and ShowBuildBridgeWindow().